FreeMat

- Main Page
- Related Pages

vtkProbeSelectedLocations

Section: Visualization Toolkit Graphics Classes

# Usage

vtkProbeSelectedLocations is similar to vtkExtractSelectedLocations except that it interpolates the point attributes at the probe location. This is equivalent to the vtkProbeFilter except that the probe locations are provided by a vtkSelection. The FieldType of the input vtkSelection is immaterial and is ignored. The ContentType of the input vtkSelection must be vtkSelection::LOCATIONS.

To create an instance of class vtkProbeSelectedLocations, simply invoke its constructor as follows

      obj = vtkProbeSelectedLocations

# Methods

The class vtkProbeSelectedLocations has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkProbeSelectedLocations class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkProbeSelectedLocations = obj.NewInstance ()`
- `vtkProbeSelectedLocations = obj.SafeDownCast (vtkObject o)`